sender.email.defaults.account.from: someone@localhost.com
nfs.shared.stage.folder: "C:/Program Files (x86)/nifi-1.8.0/stage"

spring:
  profiles: local
  mail:
    host: localhost
    protocol: smtp
    port: 25
    username: foo
    password: bar
    properties:
      mail:
        smtp:
          connectiontimeout: 10
          timeout: 1000
          writetimeout: 1000
    #          auth: true
    #          starttls:
    #            enable: true
    #            required: true
  rabbitmq:
    host: localhost
    username: guest
    password: guest
  couchbase:
    bootstrap-hosts: localhost
    bucket:
      name: lots
      password: HwNbVfY2TVsBqgX
  data:
    couchbase:
      auto-index: true

logging:
  level:
    org.springframework.data.couchbase.repository.query: DEBUG


## queste properties mappano le corrispondenti denl config-server del progetto "Gateway"
rabbit.custom.exchange.event.management : management  # <- l'exchange
rabbit.custom.exchange.lot.items : lot.items
#rabbit.custom.exchange.lot.processing.delivery : lot.delivery
#rabbit.custom.exchange.lot.processing.undelivered : lot.undelivered

rabbit.custom.routing-key.event.topic.workflow : management  # la routing key  radice per la topic degli eventi di gestione del sistema
rabbit.custom.queue.event.management : lot_event_management # il prefisso per le code di ascolto sugli eventi di gestione del sistema

rabbit.custom.routing-key.lot.items : lot.composer.items  # la routing key per inviare messaggi di tipo ITEMS al Composer
rabbit.custom.queue.lot.items : gpec_lot_mail_items   # il nome della coda su cui viaggiono gli items dei messaggi da tutti i lotti che sono nella  fase di composition

rabbit.custom.queue.event.message : localhost_gpec_lot_notifications  # ? serve? adesso che non abbiamo il controller no..

rabbit.custom.queue.event.actions : trace_actions  # coda che contiene il log trace consumato da ZIPKIN (i producer sono/dovrebbero essere tutti i servizi del sistema)

